:root {
  --background-color: rgba(236, 236, 236, 0.232);
  --main-color: #2b3de1;
  --text-color: #333;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Domine", serif;
  color: var(--text-color);
}
body {
  background-color: #f3f6f6;
}

section {
  padding: 100px 20px;
}

.mobile-navbar {
  display: none;
}
/* nav bar */

.nav-container {
  height: 3.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: -webkit-sticky;
  position: sticky;
  z-index: 10;
}

.nav-icon {
  transform: scale(2);
  display: none;
}

.nav-link-container {
  display: flex;
  text-decoration: none;
}

.nav-container p {
  font-weight: 400;
}

nav p {
  margin-left: 20px;
}
nav ul {
  display: flex;
  list-style-type: none;
  font-size: 1em;
  align-items: center;
}
nav ul li a {
  margin: 10px;
  text-decoration: none;
  color: rgb(45, 41, 41);
  font-size: 22px;
  font-family: "Instrument Serif", serif;
  font-weight: 400;
  font-style: italic;
}

nav ul li a:hover {
  opacity: 100%;
  color: var(--main-color);
}
.resume {
  text-decoration: none;
  color: #333;
  padding: 0px 5px;
  margin-right: 35px;
  border: 1px solid #333;
  border-radius: 10px;
}
.resume:hover {
  background-color: #fff;
  border-color: #2b3de1;
  a {
    color: #2b3de1;
  }
}
/* about me */
.about-me-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  p {
    font-size: 20px;
    line-height: 1.6;
    max-width: 800px;
    margin: 20px auto;
    text-align: center;
  }
  h1 {
    font-family: "Instrument Serif", serif;
    font-size: 6rem;
    font-weight: 100;
  }
}

.experience {
  width: 50%;
  padding: 20px;
  h2 {
    font-family: "Domine", serif;
    text-transform: uppercase;
    font-weight: 400;
    font-style: italic;
    font-size: 1.7rem;
    padding-bottom: 10px;
  }
  p {
    font-size: 16px;
    color: #777;
  }
}
/* my skills  */
.my-skills {
  display: flex;
  justify-content: center;
}

.coding-languages {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 20px 0px;
}

.coding-languages-icons {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.coding-languages-icons li,
.libraries-container li {
  list-style: none;
  width: 3rem;
  margin-left: 25px;
  margin-right: 25px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.coding-languages-icons p,
.libraries-container p {
  opacity: 60%;
}
.coding-languages-icons svg,
.libraries-container svg {
  opacity: 50%;
  fill: var(--heading-color);
}

.libraries-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.libraries-container li {
  list-style: none;
}

/* projects */

.projects {
  h2 {
    font-weight: 400;
    font-size: 2.5rem;
    font-family: "Times New Roman", Times, serif;
  }
  display: flex;
  flex-direction: column;
  align-items: center;
}

.projects-container {
  max-width: 1200px;
  margin: 0 auto;
  text-align: center;
  display: flex;
  gap: 20px;
  margin-top: 40px;
}

.project-one,
.project-two,
.project-three {
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  border: 1px solid var(--text-color);
  /* background-color: #fefefe; */
  text-align: left;
  h3 {
    font-size: 22px;
    margin: 0 0 10px;
  }
  p {
    font-size: 16px;
    color: #777;
  }
}

.project-description {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 2rem;
}
.project-description h3 {
  padding-bottom: 1.5rem;
  text-align: center;
}

#gitButton {
  height: 2.3rem;
  margin: 10px;
}

.github-button:hover {
  background-color: #777;
}
.github-button {
  font-weight: 600;
  height: 32px;
  border-radius: 40%;
  border-style: none;
  font-size: 0.75rem;
  align-self: center;
  background-color: #2b3de1;
}
.github-button a {
  text-decoration: none;
  color: white;
}

.github-button {
  width: 8rem;
  text-align: center;
}

#project-tech {
  font-size: 0.8rem;
  text-transform: uppercase;
  margin-top: 20px;
  margin-bottom: 25px;
  font-weight: 600;
}

/* contact me */
.contact {
  max-width: 1200px;
  margin: 0 auto;
  text-align: center;
  padding-bottom: 8rem;
  h2 {
    font-family: "Instrument Serif", serif;
    font-size: 2.5rem;
    font-weight: 100;
    margin-bottom: 45px;
  }
}
.contact form {
  display: flex;
  flex-direction: column;
  max-width: 600px;
  margin: 0 auto;
}
.contact input,
.contact textarea {
  padding: 10px;
  margin-bottom: 20px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 16px;
}
.contact button {
  padding: 10px 20px;
  background-color: #333;
  color: #fff;
  border: none;
  border-radius: 4px;
  font-size: 18px;
  cursor: pointer;
}
.contact button:hover {
  background-color: #2b3de1;
}

.designed-by {
  display: flex;
  justify-content: space-between;
  padding-bottom: 1.5rem;
  font-size: 0.9rem;
  padding-top: 1rem;
}
.designed-by p {
  margin-left: 1.25rem;
}

.iconscout a {
  text-decoration: none;
  margin-right: 1.25rem;
}

@media only screen and (max-width: 600px) {
  /*                      NAVBAR                     */
  nav {
    display: none;
  }

  section {
    padding: 40px 10px;
  }
  .mobile-navbar {
    display: block;
  }
  /* Style the navigation menu */
  .topnav {
    overflow: hidden;
    position: relative;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.06);
  }

  /* Hide the links inside the navigation menu (except for logo/home) */
  .topnav #myLinks {
    display: none;
  }

  /* Style navigation menu links */
  .topnav a {
    color: var(--text-color);
    font-weight: 500;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    display: block;
  }

  /* Style the hamburger menu */
  .topnav a.icon {
    display: block;
    position: absolute;
    right: 0;
    top: 0;
  }

  /* Add a grey background color on mouse-over */

  /* Style the active link (or home/logo) */
  .active {
    background-color: none;
    color: white;
  }

  /*                      ABOUT ME                     */
  .about-me-container {
    flex-wrap: wrap;
    h1 {
      font-size: 4rem;
    }
    p {
      font-size: 16px;
    }
  }

  .my-skills {
    flex-direction: column;
  }
  /*                    PROJECTS                     */
  .projects {
    padding-bottom: 3rem;
  }
  .projects-container {
    padding: 0;
    flex-direction: column;
  }
  .experience {
    width: 100%;
  }
  /* .project-one,
  .project-two,
  .project-three {
    max-width: 400px;
    min-width: 300px;
    flex-direction: column-reverse;
  } */
  .project-description {
    margin-top: 2rem;
  }
  .project-description h3 {
    padding-bottom: 1.5rem;
  }

  /*                 CODING LANGUAGES                 */
  .coding-languages {
    min-height: 15rem;
  }

  .coding-languages-icons {
    justify-content: center;
    align-items: center;
  }

  .libraries-frameworks h3 {
    margin-top: 1.5rem;
  }

  /*                   FOOTER                   */
  .designed-by p {
    margin-left: 10px;
    font-size: 0.7rem;
    margin-right: 0px;
  }
  .iconscout a {
    margin-right: 10px;
  }
}

/* SECOND MEDIA */

@media only screen and (min-device-width: 600px) and (max-device-width: 1250px) {
  /* Style the active link (or home/logo) */
  .active {
    background-color: none;
    color: white;
  }

  /*                      ABOUT ME                     */

  /*                    PROJECTS                     */
  .projects {
    padding-bottom: 3rem;
  }
  .projects-container {
    padding: 0;
  }

  /* .project-one,
  .project-two,
  .project-three {
    max-width: 550px;
    min-width: 300px;
    flex-direction: column-reverse;
  } */
  .project-description {
    margin-top: 2rem;
  }
  .project-description h3 {
    padding-bottom: 1.5rem;
  }

  #project-tech {
    text-align: center;
  }

  /*                 CODING LANGUAGES                 */
  .coding-languages {
    min-height: 15rem;
  }

  .coding-languages-icons {
    justify-content: center;
    align-items: center;
  }

  .libraries-frameworks h3 {
    margin-top: 1.5rem;
  }

  /*                   FOOTER                   */
  .designed-by p {
    margin-left: 10px;
    font-size: 0.7rem;
    margin-right: 0px;
  }
  .iconscout a {
    margin-right: 10px;
  }
}
